//
//  pico_dll.h
//
//  dfinition des 4 fonctions ncessaires pour une extension 
//
//  Gilles Dietrich, 2014
//
#ifndef PICO_DLL_H
#define PICO_DLL_H

#define	EXT_DLL	__declspec(dllexport)

#ifdef __cplusplus
extern "C" {
#endif

#include "interpreter_def.h"

EXT_DLL     const char*	                GetHeaderFileName();
EXT_DLL     struct LibraryFunction*     GetFunctionList();
EXT_DLL     const char*                 GetDefinitions();
EXT_DLL     void                        SetupFunc(Picoc *pc);

#ifdef __cplusplus
}
#endif

#endif